<!--suppress HtmlFormInputWithoutLabel -->
<div class="t3-page-timer">
  <div class="t3-common-actions" *ngIf="!isAddMode">
    <button class="t3-show-add-form" mat-raised-button (click)="showAddTimerForm()">Add timer</button>
  </div>
  <div class="t3-form-add" *ngIf="isAddMode">
    <form [formGroup]="formAddTimer" (submit)="addTimer()">
      <div class="t3-input-fields">
        <div class="t3-time">
          <mat-form-field>
            <mat-label>Hours</mat-label>
            <input  matInput formControlName="hours" name="hours" type="text" />
          </mat-form-field>
          <mat-form-field>
            <mat-label>Minutes</mat-label>
            <input matInput formControlName="minutes" name="minutes" type="text"  />
          </mat-form-field>
          <mat-form-field>
            <mat-label>Seconds</mat-label>
            <input matInput formControlName="seconds" name="seconds" type="text" />
          </mat-form-field>
        </div>
        <div class="t3-name">
          <mat-form-field>
            <mat-label>Name</mat-label>
            <input matInput formControlName="name" name="name" type="text" />
          </mat-form-field>
        </div>
        <div class="t3-audio">
          <div class="t3-sound-selector">
            <mat-form-field>
              <mat-label>Select audio alarm</mat-label>
              <mat-select formControlName="selectedSoundFileSrc" class="file-source">
                <mat-option [value]="">No sound</mat-option>
                <mat-option *ngFor="let soundFile of soundFiles" [value]="soundFile.src">
                  {{soundFile.name}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="t3-volume">
            <mat-label>Volume</mat-label>:
            <mat-slider thumbLabel formControlName="volume" class="volume"
              [disabled]="!formAddTimer.controls.selectedSoundFileSrc.value"></mat-slider>
          </div>
          <div class="t3-checkbox">
            <mat-checkbox formControlName="isLoop" class="is-loop"
              [disabled]="!formAddTimer.controls.selectedSoundFileSrc.value">Loop</mat-checkbox>
          </div>
        </div>
      </div>
      <div class="t3-actions">
        <button class="t3-btn-add" mat-raised-button type="submit" [disabled]="formAddTimer.invalid">Add</button>
        <button class="t3-btn-cancel" mat-raised-button (click)="cancelAddTimerForm()">Cancel</button>
      </div>
    </form>
  </div>
  <div class="t3-list">
    <div class="t3-timer" *ngFor="let timer of timers">
      <p class="t3-name-row">
        {{timer.name}}
      </p>
      <div class="t3-time-left-with-actions-row">
        <p class="t3-time-left">
          {{timer.timeLeft | timer}}
        </p>
        <div class="t3-actions">
          <button mat-raised-button
                  class="t3-btn-start-timer"
                  *ngIf="timer.isAllowStart"
                  (click)="start(timer)"
              >Start</button>
          <button mat-raised-button
                  class="t3-btn-pause-timer"
                  *ngIf="timer.isAllowPause"
                  (click)="pause(timer)"
              >Pause</button>
          <button mat-raised-button
                  class="t3-btn-resume-timer"
                  *ngIf="timer.isAllowResume"
                  (click)="resume(timer)"
              >Resume</button>
          <button mat-raised-button
                  class="t3-btn-reset-timer"
                  *ngIf="timer.isAllowReset"
                  (click)="reset(timer)"
              >Reset</button>
          <button mat-raised-button
                  class="t3-btn-remove-timer"
                  *ngIf="timer.isAllowRemove"
                  (click)="remove(timer)"
              >Remove</button>
          <button mat-raised-button
                  class="t3-btn-mute-timer"
                  *ngIf="!timer.isMuted && timer.isHasAudioAlarm"
                  (click)="mute(timer)"
          >Mute</button>
          <button mat-raised-button
                  class="t3-btn-unmute-timer"
                  *ngIf="timer.isMuted && timer.isHasAudioAlarm"
                  (click)="unmute(timer)"
          >Unmute</button>
        </div>
      </div>
      <p class="t3-elapsed-time-row">
        <span class="t3-elapsed-time">{{timer.elapsedTime | timer}}</span>&nbsp;of&nbsp;<span>{{timer.totalTime | timer}}</span>
      </p>
    </div>
  </div>
</div>
